Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class SupportAndRepairDecisionType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairDecisionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:58:55+02:00",
               comments="JAXB RI v2.2.11")
    public class SupportAndRepairDecisionType

extends Object
implements Serializable

Generiek type voor het melden van de beslissing over het budget voor onderhoud en herstel.

Java class for SupportAndRepairDecisionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairDecisionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SupportAndRepairID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairIDType"/>
             <element name="RequestedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
             <element name="DescriptionRequested" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AssignedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
             <element name="DescriptionAssigned" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairStatusType"/>
             <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MotivationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SupportAndRepairDecisionType()`

Method Summary
`BigDecimal` | `getAmount()` Gets the value of the amount property.
`String` | `getAssignedCareServiceCode()` Gets the value of the assignedCareServiceCode property.
`String` | `getDescriptionAssigned()` Gets the value of the descriptionAssigned property.
`String` | `getDescriptionRequested()` Gets the value of the descriptionRequested property.
`String` | `getMotivation()` Gets the value of the motivation property.
`String` | `getRequestedCareServiceCode()` Gets the value of the requestedCareServiceCode property.
`SupportAndRepairStatusType` | `getStatus()` Gets the value of the status property.
`String` | `getSupportAndRepairID()` Gets the value of the supportAndRepairID property.
`void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
`void` | `setAssignedCareServiceCode(String value)` Sets the value of the assignedCareServiceCode property.
`void` | `setDescriptionAssigned(String value)` Sets the value of the descriptionAssigned property.
`void` | `setDescriptionRequested(String value)` Sets the value of the descriptionRequested property.
`void` | `setMotivation(String value)` Sets the value of the motivation property.
`void` | `setRequestedCareServiceCode(String value)` Sets the value of the requestedCareServiceCode property.
`void` | `setStatus(SupportAndRepairStatusType value)` Sets the value of the status property.
`void` | `setSupportAndRepairID(String value)` Sets the value of the supportAndRepairID property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportAndRepairDecisionType

    public SupportAndRepairDecisionType()

Method Detail

### getSupportAndRepairID

    public String getSupportAndRepairID()

  Gets the value of the supportAndRepairID property.

  Returns:
    possible object is `String`

### setSupportAndRepairID

    public void setSupportAndRepairID(String value)

  Sets the value of the supportAndRepairID property.

  Parameters:
    `value` - allowed object is `String`

### getRequestedCareServiceCode

    public String getRequestedCareServiceCode()

  Gets the value of the requestedCareServiceCode property.

  Returns:
    possible object is `String`

### setRequestedCareServiceCode

    public void setRequestedCareServiceCode(String value)

  Sets the value of the requestedCareServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptionRequested

    public String getDescriptionRequested()

  Gets the value of the descriptionRequested property.

  Returns:
    possible object is `String`

### setDescriptionRequested

    public void setDescriptionRequested(String value)

  Sets the value of the descriptionRequested property.

  Parameters:
    `value` - allowed object is `String`

### getAssignedCareServiceCode

    public String getAssignedCareServiceCode()

  Gets the value of the assignedCareServiceCode property.

  Returns:
    possible object is `String`

### setAssignedCareServiceCode

    public void setAssignedCareServiceCode(String value)

  Sets the value of the assignedCareServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptionAssigned

    public String getDescriptionAssigned()

  Gets the value of the descriptionAssigned property.

  Returns:
    possible object is `String`

### setDescriptionAssigned

    public void setDescriptionAssigned(String value)

  Sets the value of the descriptionAssigned property.

  Parameters:
    `value` - allowed object is `String`

### getAmount

    public BigDecimal getAmount()

  Gets the value of the amount property.

  Returns:
    possible object is `BigDecimal`

### setAmount

    public void setAmount(BigDecimal value)

  Sets the value of the amount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getStatus

    public SupportAndRepairStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `SupportAndRepairStatusType`

### setStatus

    public void setStatus(SupportAndRepairStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `SupportAndRepairStatusType`

### getMotivation

    public String getMotivation()

  Gets the value of the motivation property.

  Returns:
    possible object is `String`

### setMotivation

    public void setMotivation(String value)

  Sets the value of the motivation property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.